0

SGTK after lauchning RV from Shotgun

Hi,

i have the problem, that RV is only using "Toolkit v0.18.18rv" after i launched it from the Shotgun Actions Menu. I need to access some data from projects which have a higher core version, which gives me the following error:

You are running Toolkit v0.18.18rv located in 'C:\Users\Node_013\AppData\Roaming\Shotgun\vast\site.rv_review\cfg\install\core\python'. The configuration you are trying to use needs core version v0.18.167 or higher.


I tried to import "sgtk" from the projects core directory (/path/to/project/sgtk/install/core/python) which works without errors.
But if i run:

sgtk.sgtk_from_path("/path/to/project/sgtk")

it uses the module located at 'C:\Users\Node_013\AppData\Roaming\Shotgun\vast\site.rv_review\cfg' which is also written to the enviroment variable "TANK_CURRENT_PC".
I tried to change "TANK_CURRENT_PC" for the time i need the other sgtk module, but it doesn't work either.
I also tried to override 'sgtk' module, but it was not successful.

Is there a solution for that problem?

Thanks,
Thomas

0 条评论

请先登录再写评论。